{
  "custom": {},
  "params": {
    "equipmentPath": "",
    "shift": "Current Shift"
  },
  "propConfig": {
    "params.equipmentPath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.shift": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "width": 1568
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Dashboard"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "props.widgets[0].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[0].viewParams.timePeriod": {
            "binding": {
              "config": {
                "path": "view.params.shift"
              },
              "type": "property"
            }
          },
          "props.widgets[1].viewParams.eqPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[1].viewParams.timePeriod": {
            "binding": {
              "config": {
                "path": "view.params.shift"
              },
              "type": "property"
            }
          },
          "props.widgets[2].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[3].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[4].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[5].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[5].viewParams.timePeriod": {
            "binding": {
              "config": {
                "path": "view.params.shift"
              },
              "type": "property"
            }
          },
          "props.widgets[6].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[6].viewParams.timePeriod": {
            "binding": {
              "config": {
                "path": "view.params.shift"
              },
              "type": "property"
            }
          },
          "props.widgets[7].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            },
            "persistent": false
          },
          "props.widgets[8].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          },
          "props.widgets[9].viewParams.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPath"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "editingToggle": false,
          "isEditing": true,
          "stretch": {
            "columnCount": 20,
            "rowCount": 20,
            "rowGutterSize": 10
          },
          "widgets": [
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 21,
                "columnStart": 1,
                "rowEnd": 21,
                "rowStart": 12
              },
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Components/Time Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 11,
                "columnStart": 7,
                "rowEnd": 12,
                "rowStart": 1
              },
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Charts/Top5_DT_Bar_BP Widget Title"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 7,
                "columnStart": 4,
                "rowEnd": 12,
                "rowStart": 9
              },
              "style": {
                "classes": ""
              },
              "viewParams": {
                "title": "Product Code"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Product Code"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 4,
                "columnStart": 1,
                "rowEnd": 12,
                "rowStart": 9
              },
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Line State Name"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 7,
                "columnStart": 4,
                "rowEnd": 5,
                "rowStart": 1
              },
              "style": {
                "classes": ""
              },
              "viewParams": {
                "timePeriod": "Current Shift",
                "title": "OEE Availability"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Availability"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 16,
                "columnStart": 11,
                "rowEnd": 12,
                "rowStart": 1
              },
              "style": {
                "classes": ""
              },
              "viewParams": {
                "title": "Asset Utilization"
              },
              "viewPath": "Page/Widgets/Charts/Asset Utilization"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 21,
                "columnStart": 16,
                "rowEnd": 12,
                "rowStart": 1
              },
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Charts/Count vs Rate"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 4,
                "columnStart": 1,
                "rowEnd": 5,
                "rowStart": 1
              },
              "style": {
                "classes": ""
              },
              "viewParams": {
                "timePeriod": "Current Shift",
                "title": "OEE"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 4,
                "columnStart": 1,
                "rowEnd": 9,
                "rowStart": 5
              },
              "style": {
                "classes": ""
              },
              "viewParams": {
                "timePeriod": "Current Shift",
                "title": "OEE Performance"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Performance"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 7,
                "columnStart": 4,
                "rowEnd": 9,
                "rowStart": 5
              },
              "style": {
                "classes": ""
              },
              "viewParams": {
                "timePeriod": "Current Shift",
                "title": "OEE Quality"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Quality"
            }
          ]
        },
        "type": "ia.display.dashboard"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}